Subject: [SIP] Delivering CgPN in SIP

From: Sonit Mahey <[email-masked]>
Date: Wed, 11 Apr 2001 12:32:35 -0400

[SMahey] What's more important is the transport of presentation and
screening indicators alongwith CgPN. I guess the need to interwork and
make the underlying signaling transparent to the user, in that the "look
and feel" using VoIP is no different than circuit switching and SS7 -,
would call for SIP being able to deliver capabilities of PSTN/PLMN
protocols, at a minimum. 

Mart Numet wrote:
Further, how will the PSTNs treat this if it was a possibly ported
number when
presented to them?  And let's not forget, that Area 1, dialing plans
don't
necessarily hold for the rest of the world.  Will 15 digit dialing be
standardized soon?  Or other plans.

"Parolkar, Satish" wrote:

> I wonder if one could use the optional Display Name to deliver the public
> number associated with the SIP phone.
>
> When a call is initiated by the SIP phone with public number 444-555-6666,
> to a PSTN number 4085551111, the following
> INVITE will be sent out...
>
>         INVITE sip:[email-masked] SIP/2.0
>       From : 4445556666 <sip:[email-masked]>
>         To : Unknown <sip:[email-masked]>
>       ...
>
> However, the issue remains
> Who is responsible to authenticate the number delivered to the PSTN?
> A user can put any number desired. Is the IP/PSTN gateway responsible to
> authenticate the Delivered Number?
>
> Comments.
>
> Satish
>
> -----Original Message-----
> From: Medhavi [mailto:[email-masked]]
> Sent: Monday, April 09, 2001 8:38 PM
> To: Sharath Rajasekar; sip list; [email-masked]
> Subject: RE: [SIP] Delivering Caller-ID through SIP
>
> I think you can use the p= in SDP, as one option.
>
> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of Sharath Rajasekar
> Sent: Monday, April 09, 2001 9:16 PM
> To: sip list; [email-masked]
> Subject: [SIP] Delivering Caller-ID through SIP
>
> Consider a SIP UA with a SIP URL [email-masked] which is associated
> with a SIP Phone. This SIP Phone has a public number (444-555-6666).
>
> When a call is initiated by the phone, to a PSTN number, the following
> INVITE will be sent out...
>
>         INVITE sip:[email-masked] SIP/2.0
>       From : UserA <sip:[email-masked]>
>         To : Unknown <sip:[email-masked]>
>       ...
>
> How can one deliver the calling public number(444-555-6666 in this case)
> to the PSTN as caller-id through the gateway ?
>
> Some generic tag may be used say..."pstn-number: 444-555-6666" in the
> >From header, but this will mean that all gateways must support this tag.
> Is there some other solution to this problem.
>
> Regards
> Sharath
-- 
 S. Mahey	              		
 [email-masked] 		
 http://www.unispherenetworks.com/      

¦ The reasonable man adapts himself to the ¦
¦ world; the unreasonable one persists in  ¦
¦ trying  to adapt the  world  to himself. ¦
¦ Therefore  all  progress  depends on the ¦
¦ unreasonable man. -- George Bernard Shaw ¦